javax.naming

## Class InterruptedNamingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.naming.NamingException
      - - javax.naming.InterruptedNamingException

All Implemented Interfaces:
  Serializable

    public class InterruptedNamingException
    extends NamingException

This exception is thrown when the naming operation being invoked has been interrupted. For example, an application might interrupt a thread that is performing a search. If the search supports being interrupted, it will throw InterruptedNamingException. Whether an operation is interruptible and when depends on its implementation (as provided by the service providers). Different implementations have different ways of protecting their resources and objects from being damaged due to unexpected interrupts.

Synchronization and serialization issues that apply to NamingException apply directly here.

Since:
  1.3
See Also:
  `Context`, `DirContext`, `Thread.interrupt()`, `InterruptedException`, Serialized Form

### Field Summary

### Fields inherited from class javax.naming.NamingException

`remainingName, resolvedName, resolvedObj, rootException`

### Constructor Summary

Constructors
Constructor and Description
`InterruptedNamingException()` Constructs an instance of InterruptedNamingException with all name resolution fields and explanation initialized to null.
`InterruptedNamingException(String explanation)` Constructs an instance of InterruptedNamingException using an explanation of the problem.

### Method Summary

### Methods inherited from class javax.naming.NamingException

`appendRemainingComponent, appendRemainingName, getCause, getExplanation, getRemainingName, getResolvedName, getResolvedObj, getRootCause, initCause, setRemainingName, setResolvedName, setResolvedObj, setRootCause, toString, toString`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InterruptedNamingException

    public InterruptedNamingException(String explanation)

Constructs an instance of InterruptedNamingException using an explanation of the problem. All name resolution-related fields are initialized to null.

Parameters:
  `explanation` - A possibly null message explaining the problem.
See Also:
  `Throwable.getMessage()`

#### InterruptedNamingException

    public InterruptedNamingException()

Constructs an instance of InterruptedNamingException with all name resolution fields and explanation initialized to null.

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.